<html>
    <head>
        <title>Spoofing Detection Demo</title>
        <meta charset="utf-8">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="{{url_for('static', filename='css/upload.css')}}">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    </head>
    <body>
        <div id="upload-area">
            <form id="upload-form" name="upload-form" method="post" enctype="multipart/form-data">
                <div class="btn-txt">
                    <i class="fa fa-upload fa-3x" aria-hidden="true"></i>
                    <span class="btn">Upload your video</span>
                </div>
                <input id="inp-file" type="file" name="file"/>
            </form>
            <!-- <video autoplay>
                <source src={{vid_source}} type="video/mp4">
            </video> -->
            <!-- <div class="progress">
                <div id="progressBar" class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                    0%
                </div>
            </div> -->
        </div>
        <div class="groupped-func-buttons">
            <form action="/stream" method="post">
                <input type="submit" class="btn btn-lg btn-success btn-func-control" id="change-method" value="Stream Video"></input>
            </form>
            <form action="/" method="get">
                <input type="submit" class="btn btn-lg btn-primary btn-func-control" id="home" value="Home"></input>
            </form>
        </div>
    </body>
    <script>

        $("#inp-file").change(function(){
            $("#upload-form").submit();
        });
    </script>
</html>


